org.eclipse.cdt.core.options

## Interface OptionMetadata<V>

Type Parameters:
  `V` - the value type for the option

All Known Implementing Classes:
  BaseOption

    public interface OptionMetadata<V>

The option metadata provides the information needed to configure everything about the option except the option value itself.

### Method Summary

All Methods Instance Methods Abstract Methods
`V` `defaultValue()` The default value for the option.
`String` `description()` Widely describes the option purpose, intended to be used in UI.
`String` `identifer()` The option identifier to use as a key to access the option value.
`String` `name()` Briefly describes the option purpose, intended to be used in UI.
`Class<V>` `valueClass()` The type of option value needed to perform type checks.

### Method Detail

#### identifer

    String identifer()

The option identifier to use as a key to access the option value. Must not be `null`.

Returns:
  the identifier

#### defaultValue

    V defaultValue()

The default value for the option. Must not be `null`.

Returns:
  the option's default value

#### name

    String name()

Briefly describes the option purpose, intended to be used in UI. Must not be `null` and should be localized. Should not be blank.

Returns:
  the option's name

#### description

    String description()

Widely describes the option purpose, intended to be used in UI. Must not be `null` and should be localized. May be blank.

Returns:
  the option's description

#### valueClass

    Class<V> valueClass()

The type of option value needed to perform type checks. Must not be `null`.

Returns:
  the value class